#!/bin/ksh
#
# IBM                                                  
#                                                                   
# Net.Commerce                                      
#                                                                   
#  Copyright IBM Corp., 1997, 1999.
#
#  Net.Commerce Version 3.2 Database Configuration Migrate Utility
#
#   Dependencies
#   This utility should be running from the DB2 command line on  a
#   database that has been or is being migrated to NCHS 3.2.1
#   


###################################################################
###################################################################
# Check syntax
###################################################################
###################################################################
if [ $# -lt 3 ]; then
 echo "Usage: config_migrate.v321.db2.sh Dbname NCAdmin NCAdmin_Password [Logfile] "
 echo "                 Dbname           : the name of the database to be created"
 echo "              	NCAdmin          : the name of the administrator of the database"
 echo "                 NCAdmin_Password : the encrypted password of \"ncadmin\""
 echo "                 Logfile          : the full path and name of the Logfile"
 echo "                                    (default is [Dbname].log in current dir)"

 exit 1
fi


export outlog="$1.log"
export dbuser=""
export dbpswd=""
export ncuser=""

if [ $# -eq 5 ]; then
  export nodename="$5"
else
  export nodename="$DB2INSTANCE" 
fi


if [ $# -ge 4 ]; then
  export outlog="$4"
  export dbuser="$2"
  export dbpswd="$3"
  export ncuser="user $dbuser using $dbpswd"
fi



echo Configuring the database $1
# echo db2 connect to $1 user $2 using $3
# db2 connect to $1 user $2 using $3
echo db2 attach to $nodename user $2 using $3
db2 attach to $nodename  user $2 using $3
db2 update db cfg for $1 using applheapsz 2560 pckcachesz 256 2>&1 >>$outlog

if [ $? -ne 0 ]; then
 echo "Error executing db2 update db cfg ... "
 exit 4
fi


db2 deactivate database $1 $ncuser
echo
echo END: ---- Check the log files ----
exit 0

