@echo off
REM
REM  IBM
REM  Net.Commerce
REM
REM  Copyright IBM Corp., 1999.
REM
REM  Net.Commerce Version 3.2.1 Base and Hosting Server Database Migration Utility
REM
REM   Dependencies
REM   This utility should be running from the DB2 command line
REM   against a V3.1/V3.1.1/V3.1.2/V3.1.2.2 database
REM


REM ***************************************************************
REM ***************************************************************
REM Check syntax
REM ***************************************************************
REM ***************************************************************
if "%1" == "" goto __SYNTAX__
if "%2" == "" goto __SYNTAX__
if "%3" == "" goto __SYNTAX__
if "%4" == "" goto __SYNTAX__
if not "%2" == "" set flog=%2
if not "%3" == "" set root_dbuser=%3
if not "%4" == "" set dbpswd=%4

REM ***************************************************************
REM ***************************************************************
REM Connect to Net.Commerce Database
REM ***************************************************************
REM ***************************************************************
:__V3

echo.
REM if "%4" == "" set ncuser=""
REM if not "%4" == "" set ncuser="user %root_dbuser% using %dbpswd%"

REM db2 activate database %1 %ncuser%
REM db2 connect to %1 %ncuser%

if "%4" == "" db2 activate database %1
if not "%4" == "" db2 activate database %1 user %root_dbuser% using %dbpswd%
if "%4" == "" db2 connect to %1
if not "%4" == "" db2 connect to %1 user %root_dbuser% using %dbpswd%

echo Connection established for migration
echo root_dbuser = %root_dbuser%
echo dbpswd = %dbpswd%


echo.

REM ***************************************************************
REM ***************************************************************
REM Verify if the Net.Commerce Database is Version 3.1/3.1.1
REM ***************************************************************
REM ***************************************************************
:__V31
call %NCPATH%\nc_schema\db2\db_script5 %1 %NCPATH%\nc_schema\db2\migrate\dbver.v312.db2.sql %flog% %root_dbuser% %dbpswd%
if not errorlevel 1 goto __MIG312


REM ***************************************************************
REM ***************************************************************
REM Verify if the Net.Commerce Database is Version 3.1.2
REM ***************************************************************
REM ***************************************************************
:__V312
call %NCPATH%\nc_schema\db2\db_script5 %1 %NCPATH%\nc_schema\db2\migrate\dbver.v3122.db2.sql %flog% %root_dbuser% %dbpswd%
if not errorlevel 1 goto __MIG3122


REM ***************************************************************
REM ***************************************************************
REM Verify if the Net.Commerce Database is Version 3.1.2.2
REM ***************************************************************
REM ***************************************************************
:__V3122
echo Verify if the Net.Commerce Database is Version 3.1.2.2
call %NCPATH%\nc_schema\db2\db_script5 %1 %NCPATH%\nc_schema\db2\migrate\dbver.v32.db2.sql %flog% %root_dbuser% %dbpswd%
echo errorlevel is %errorlevel%
if not errorlevel 1 goto __MIG32
goto __VERERR



REM ***************************************************************
REM ***************************************************************
REM Migrate from V3.1 to V3.1.2
REM ***************************************************************
REM ***************************************************************
:__MIG312
call v312migrate %1 %root_dbuser% %dbpswd% %flog%
if errorlevel 1 goto __ERROR

REM ***************************************************************
REM ***************************************************************
REM Migrate from V3.1.2 to V3.1.2.2
REM ***************************************************************
REM ***************************************************************
:__MIG3122
call v3122migrate %1 %flog% %root_dbuser% %dbpswd%
if errorlevel 1 goto __ERROR


REM ***************************************************************
REM ***************************************************************
REM Migrate from V3.1.2.2 to V3.2
REM ***************************************************************
REM ***************************************************************
:__MIG32
echo database version 3.1.2.2 verified
call nc32migrate %1 %flog% %root_dbuser% %dbpswd%
REM * put this back * if errorlevel 1 goto __ERROR


if "%4" == "" db2 activate database %1
if not "%4" == "" db2 activate database %1 user %root_dbuser% using %dbpswd%
if "%4" == "" db2 connect to %1
if not "%4" == "" db2 connect to %1 user %root_dbuser% using %dbpswd%

REM These changes are additions that were made to chsdata instead of chs321migrate and were not moved
call %NCPATH%\nc_schema\db2\db_script %1 %NCPATH%\nc_schema\db2\migrate\misc_chsdata_fixes.v32.db2.sql %flog% %root_dbuser% %dbpswd%
if errorlevel 1 goto __ERROR

call %NCPATH%\nc_schema\db2\db_script %1 %NCPATH%\nc_schema\db2\migrate\misc_chsdata_fixes2.v32.db2.sql %flog% %root_dbuser% %dbpswd%
echo Please ignore errors from misc_chsdata_fixes2.v32.db2.sql



REM ***************************************************************
REM ***************************************************************
REM One Time migration steps
REM ***************************************************************
REM ***************************************************************
:__CONFIG
REM Database configuration change
call config_migrate.v321.db2 %1 %root_dbuser% %dbpswd% %flog%
if errorlevel 1 goto __ERROR


REM ***************************************************************
REM ***************************************************************
REM Migrate from V3.2 to V3.2.1
REM ***************************************************************
REM ***************************************************************
:__MIG321
echo Beginning 3.2 to 3.2.1 migration
echo root_dbuser = %root_dbuser%
echo dbpswd = %dbpswd%
call chs321migrate %1 %flog% %root_dbuser% %dbpswd%


goto __END 


:__VERERR
echo.
echo The current base level of your Net.Commerce Database Schema is not "3.1" or "3.1.1" or "3.1.2" or "3.1.2.2"

goto __ERROR



:__ERROR
echo.
echo An error occurred during database migration
db2 connect reset
set errorlevel=1
goto __OUT



REM ***************************************************************
REM ***************************************************************
REM Usage
REM ***************************************************************
REM ***************************************************************
:__SYNTAX__
echo Usage: v321migrate Dbname Logfile Username Password
echo         Dbname   : the name of the database to be connected
echo         Logfile  : the full path and name of the Logfile
echo         Username : the name of the user who connect to the database
echo         Password : the password of the user   
set errorlevel=1
goto __OUT


:__END
db2 deactivate database %1 %ncuser%
set errorlevel=0
:__OUT


