#!/bin/ksh

# ******************************************************
# PostMigration for the NCHS 3.1.2
# to be run on the command line AFTER installation of
# Websphere Commerce Suite Service Provider Edition.
# ******************************************************

# ***************************************************************
# ***************************************************************
# Check syntax
# ***************************************************************
# ***************************************************************

if [ $# -lt 2 ]; then
echo "Usage: dbuser_postmigration_AIX.sh NC_User_Name NC_Password "
echo "    where  NC_User_Name is the user name of the NC Administrator "
echo "           NC_Password is the password of the NC Administrator "
exit 1
fi

export ADMINLOGON="$1"
export ADMINPASSWORD="$2"
export SPE_Root_Dir="/usr/lpp/NetCommerce3"

CLASSPATH=$SPE_Root_Dir/Tools/lib/nctools.jar:$SPE_Root_Dir/Tools/lib/nchs.jar:$SPE_Root_Dir/Tools/lib/sslite1.jar:$SPE_Root_Dir/Tools:$SPE_Root_Dir/Tools/lib/xml4j.jar:$SPE_Root_Dir/CHS/CHS.jar:$SPE_Root_Dir/Tools/lib/jsafe.zip:$CLASSPATH

echo "Beginning postmigration ..."
echo "..."
java com.ibm.commerce.tools.nchs.migration.PostMigration $ADMINLOGON $ADMINPASSWORD $SPE_Root_Dir/Tools/config/config.xml

echo "echo Done postmigration for NCHS 3.1.2 ..."
